# Transfers

 

## Get transfers

 - [GET /transfers](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/transfers/gettransfers.md): Gets a list of transfers.

## Get transfer estimate

 - [GET /transfers/estimate](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/transfers/gettransferestimate.md): Get an estimate of the fee to make an "outbound" transfer from an exchange (connected to xRapid) to an another account outside of RippleNet (such as a bank account). This operation is only available to xCurrent instances enabled as receivers of xRapid payments.

## Get transfer by ID

 - [GET /transfers/{transfer_id}](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/transfers/gettransferbyid.md): Gets a transfer by ID.

## Execute transfer

 - [POST /transfers/execute](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/transfers/executetransfer.md): Transfers funds between accounts. For example, use this request to fund a connector account by transferring funds from a transactional account to the connector account. You can also use this request to redeem funds to a transactional account by transferring funds from a connector account to the transactional account.

## Complete transfer

 - [POST /transfers/{transfer_id}/complete](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/transfers/completetransfer.md): Updates the state of a transfer to COMPLETED. Make this request once the transfer has been made on both the ledger and on internal systems.

## Add transfer labels

 - [PUT /transfers/{transfer_id}/labels](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/transfers/addtransferlabels.md): Adds a list of labels to the transfer. To retrieve transfers by label, see Get transfers.

## Delete transfer labels

 - [DELETE /transfers/{transfer_id}/labels](https://docs.ripple.com/products/payments-odl/api-docs/ripplenet/ripplenet/transfers/deletetransferlabels.md): Deletes one or more existing labels from the transfer.

